#!/usr/bin/env python
# -*- coding: utf-8 -*-

metadata = {
    "classname": "Item",
    "attrs": ["id", "name"],
    "keys": ["id", "name"],
    "collection": [
        {
            "classname": "SubClass0",
            "attrs": ["id", "name"],
            "keys": ["id", "name"],
            "data": {"id": 0, "name": "消耗品"},
            "collection": [
                {"data": {"id": 0, "name": "消耗品"}},
                {"data": {"id": 1, "name": "药水"}},
                {"data": {"id": 2, "name": "药剂"}},
                {"data": {"id": 3, "name": "合剂"}},
                {"data": {"id": 4, "name": "卷抽"}},
                {"data": {"id": 5, "name": "食物和饮料"}},
                {"data": {"id": 6, "name": "物品强化"}},
                {"data": {"id": 7, "name": "绷带"}},
                {"data": {"id": 8, "name": "其他"}},
            ],
        },
        {
            "classname": "SubClass1",
            "attrs": ["id", "name"],
            "keys": ["id", "name"],
            "data": {"id": 1, "name": "容器"},
            "collection": [
                {"data": {"id": 0, "name": "容器"}},
                {"data": {"id": 1, "name": "灵魂袋"}},
                {"data": {"id": 2, "name": "草药袋"}},
                {"data": {"id": 3, "name": "附魔材料袋"}},
                {"data": {"id": 4, "name": "工程学材料袋"}},
                {"data": {"id": 5, "name": "宝石袋"}},
                {"data": {"id": 6, "name": "矿石袋"}},
                {"data": {"id": 7, "name": "制皮袋"}},
                {"data": {"id": 8, "name": "铭文包"}},
            ],
        },
        {
            "classname": "SubClass2",
            "attrs": ["id", "name"],
            "keys": ["id", "name"],
            "data": {"id": 2, "name": "武器"},
            "collection": [
                {"data": {"id": 0, "name": "单手斧"}},
                {"data": {"id": 1, "name": "双手斧"}},
                {"data": {"id": 2, "name": "弓"}},
                {"data": {"id": 3, "name": "枪"}},
                {"data": {"id": 4, "name": "单手锤"}},
                {"data": {"id": 5, "name": "双手锤"}},
                {"data": {"id": 6, "name": "长柄武器"}},
                {"data": {"id": 7, "name": "单手剑"}},
                {"data": {"id": 8, "name": "双手剑"}},
                {"data": {"id": 10, "name": "法杖"}},
                {"data": {"id": 11, "name": "异种武器 单手"}},
                {"data": {"id": 12, "name": "异种武器 双手"}},
                {"data": {"id": 13, "name": "拳套"}},
                {"data": {"id": 14, "name": "其他"}},
                {"data": {"id": 15, "name": "匕首"}},
                {"data": {"id": 16, "name": "投掷武器"}},
                {"data": {"id": 17, "name": "矛"}},
                {"data": {"id": 18, "name": "弩"}},
                {"data": {"id": 19, "name": "魔杖"}},
                {"data": {"id": 20, "name": "鱼杆"}},
            ],
        },
        {
            "classname": "SubClass3",
            "attrs": ["id", "name"],
            "keys": ["id", "name"],
            "data": {"id": 3, "name": "珠宝"},
            "collection": [
                {"data": {"id": 0, "name": "红色"}},
                {"data": {"id": 1, "name": "蓝色"}},
                {"data": {"id": 2, "name": "黄色"}},
                {"data": {"id": 3, "name": "紫色"}},
                {"data": {"id": 4, "name": "绿色"}},
                {"data": {"id": 5, "name": "橙色"}},
                {"data": {"id": 6, "name": "多彩"}},
                {"data": {"id": 7, "name": "简易"}},
                {"data": {"id": 8, "name": "棱彩"}},
            ],
        },
        {
            "classname": "SubClass4",
            "attrs": ["id", "name"],
            "keys": ["id", "name"],
            "data": {"id": 4, "name": "护甲"},
            "collection": [
                {"data": {"id": 0, "name": "其它戒指等"}},
                {"data": {"id": 1, "name": "布甲"}},
                {"data": {"id": 2, "name": "皮甲"}},
                {"data": {"id": 3, "name": "锁甲"}},
                {"data": {"id": 4, "name": "板甲"}},
                {"data": {"id": 5, "name": "小圆盾"}},
                {"data": {"id": 6, "name": "盾牌"}},
                {"data": {"id": 7, "name": "圣契"}},
                {"data": {"id": 8, "name": "神像"}},
                {"data": {"id": 9, "name": "图腾"}},
                {"data": {"id": 10, "name": "魔印"}},
            ],
        },
        {
            "classname": "SubClass5",
            "attrs": ["id", "name"],
            "keys": ["id", "name"],
            "data": {"id": 5, "name": "材料"},
            "collection": [
                {"data": {"id": 0, "name": "材料"}},
            ],
        },
        {
            "classname": "SubClass6",
            "attrs": ["id", "name"],
            "keys": ["id", "name"],
            "data": {"id": 6, "name": "弹药"},
            "collection": [
                {"data": {"id": 0, "name": "无 魔杖"}},
                {"data": {"id": 1, "name": "弩用"}},
                {"data": {"id": 2, "name": "弓用"}},
                {"data": {"id": 3, "name": "枪用"}},
                {"data": {"id": 4, "name": "投掷武器"}},
            ],
        },
        {
            "classname": "SubClass7",
            "attrs": ["id", "name"],
            "keys": ["id", "name"],
            "data": {"id": 7, "name": "商品"},
            "collection": [
                {"data": {"id": 0, "name": "商品"}},
                {"data": {"id": 1, "name": "零件"}},
                {"data": {"id": 2, "name": "爆炸物"}},
                {"data": {"id": 3, "name": "装置"}},
                {"data": {"id": 4, "name": "珠宝加工"}},
                {"data": {"id": 5, "name": "布料"}},
                {"data": {"id": 6, "name": "皮革"}},
                {"data": {"id": 7, "name": "金属和矿石"}},
                {"data": {"id": 8, "name": "肉类"}},
                {"data": {"id": 9, "name": "草药"}},
                {"data": {"id": 10, "name": "元素"}},
                {"data": {"id": 11, "name": "其他"}},
                {"data": {"id": 12, "name": "附魔"}},
                {"data": {"id": 13, "name": "原料"}},
                {"data": {"id": 14, "name": "护甲强化"}},
                {"data": {"id": 15, "name": "武器强化"}},
            ],
        },
        {
            "classname": "SubClass8",
            "attrs": ["id", "name"],
            "keys": ["id", "name"],
            "data": {"id": 8, "name": "原子"},
            "collection": [
                {"data": {"id": 0, "name": "原子"}},
            ],
        },
        {
            "classname": "SubClass9",
            "attrs": ["id", "name"],
            "keys": ["id", "name"],
            "data": {"id": 9, "name": "配方"},
            "collection": [
                {"data": {"id": 0, "name": "书"}},
                {"data": {"id": 1, "name": "制皮"}},
                {"data": {"id": 2, "name": "裁缝"}},
                {"data": {"id": 3, "name": "工程学"}},
                {"data": {"id": 4, "name": "锻造"}},
                {"data": {"id": 5, "name": "烹饪"}},
                {"data": {"id": 6, "name": "炼金术"}},
                {"data": {"id": 7, "name": "急救"}},
                {"data": {"id": 8, "name": "付魔"}},
                {"data": {"id": 9, "name": "钩鱼"}},
                {"data": {"id": 10, "name": "珠宝加工"}},
                {"data": {"id": 11, "name": "铭文"}},
            ],
        },
        {
            "classname": "SubClass10",
            "attrs": ["id", "name"],
            "keys": ["id", "name"],
            "data": {"id": 10, "name": "货币"},
            "collection": [
                {"data": {"id": 0, "name": "货币"}},
            ],
        },
        {
            "classname": "SubClass11",
            "attrs": ["id", "name"],
            "keys": ["id", "name"],
            "data": {"id": 11, "name": "箭袋"},
            "collection": [
                {"data": {"id": 0, "name": "箭袋 作废1"}},
                {"data": {"id": 1, "name": "箭袋 作废2"}},
                {"data": {"id": 2, "name": "箭袋"}},
                {"data": {"id": 3, "name": "弹药袋"}},
            ],
        },
        {
            "classname": "SubClass12",
            "attrs": ["id", "name"],
            "keys": ["id", "name"],
            "data": {"id": 12, "name": "任务"},
            "collection": [
                {"data": {"id": 0, "name": "任务"}},
            ],
        },
        {
            "classname": "SubClass13",
            "attrs": ["id", "name"],
            "keys": ["id", "name"],
            "data": {"id": 13, "name": "钥匙"},
            "collection": [
                {"data": {"id": 0, "name": "钥匙"}},
                {"data": {"id": 1, "name": "开锁工具"}},
            ],
        },
        {
            "classname": "SubClass14",
            "attrs": ["id", "name"],
            "keys": ["id", "name"],
            "data": {"id": 14, "name": "永久"},
            "collection": [
                {"data": {"id": 0, "name": "永久"}},
            ],
        },
        {
            "classname": "SubClass15",
            "attrs": ["id", "name"],
            "keys": ["id", "name"],
            "data": {"id": 15, "name": "其它"},
            "collection": [
                {"data": {"id": 0, "name": "垃圾"}},
                {"data": {"id": 1, "name": "材料"}},
                {"data": {"id": 2, "name": "宠物"}},
                {"data": {"id": 3, "name": "节日"}},
                {"data": {"id": 4, "name": "其他"}},
                {"data": {"id": 5, "name": "坐骑"}},
            ],
        },
        {
            "classname": "SubClass16",
            "attrs": ["id", "name"],
            "keys": ["id", "name"],
            "data": {"id": 16, "name": "雕文"},
            "collection": [
                {"data": {"id": 1, "name": "战士"}},
                {"data": {"id": 2, "name": "圣骑士"}},
                {"data": {"id": 3, "name": "猎人"}},
                {"data": {"id": 4, "name": "盗贼"}},
                {"data": {"id": 5, "name": "牧师"}},
                {"data": {"id": 6, "name": "死亡骑士"}},
                {"data": {"id": 7, "name": "萨满祭司"}},
                {"data": {"id": 8, "name": "法师"}},
                {"data": {"id": 9, "name": "术士"}},
                {"data": {"id": 11, "name": "德鲁伊"}}]}
    ],
}

if __name__ == "__main__":
    from constant import gencode
    
    path = "item.py"
    with open(path, "wb") as f:
        f.write(gencode(metadata).encode("utf-8"))